﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            TTi TGA1241: (1 year) VER IEEE /5790A,8903,ESA,LFCTR
DATE:                  2017-02-09 12:14:49
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       173
CONFIGURATION:         Fluke 5790A
CONFIGURATION:         HP 8903B
CONFIGURATION:         Agilent ESA
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Additional Equipment Required:
#        See procedure body for specific cables and adapters required.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P J             C                     V

  1.002  IF           0
  1.003  5790         *                                                 S
  1.004  8903         *                                                 S
  1.005  ESA          Reset
  1.006  IEEE         [@LFCTR]
  1.007  ENDIF

  1.008  IF           NOT(VERSIONCHECK("8.0"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Prior to beginning verification, a UUT warm-up time
  1.013  DISP         of 30 minutes.
  1.013  DISP
  1.013  DISP         Additionally, the UUT must have acclimated to the
  1.013  DISP         ambient conditions of the test environment for at
  1.013  DISP         least two hours.

  1.014  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method
  1.017  CALL         Sub UUT Connection GPIB

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE

  1.020  MATH         @Manufacturer     = GETV("Manufacturer")
  1.021  MATH         @ModelNum         = GETV("Model_Num")
  1.022  MATH         @UUT_Manufacturer = "THURLBY THANDAR"
  1.023  MATH         @UUT_Model        = "TGA1241"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

  1.028  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.028  OPBR         additional equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  IF           MEM1
  1.031  CALL         Sub Fluke 281/282/284 (1 yr) Min Requirements /LFCTR

  1.032  IF           @Abort
  1.033  END
  1.034  ENDIF

  1.035  CALL         Sub Fluke 281/282/284 Additional Required Equipment
  1.036  ENDIF
  1.037  ENDIF

  1.038  RESET        OUTPUT OFF;*OPC?[I!]

# Set timeout for "Sub Wait for OPC 488.2" to 10 s.
  1.039  MATH         @Timeout = 10000

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Sine Frequency Accuracy            Sine Frequency Accuracy
#    2.   Square Frequency Accuracy          Square Frequency Accuracy
#    3.   Frequency Synthesis                Square Rise/Fall Time
#    4.   Square Rise/Fall Time              Frequency Synthesis
#    5.   Amplitude Accuracy                 Amplitude Accuracy
#    6.   Amplitude Flatness                 Amplitude Accuracy
#    7.   Sine Distortion                    Sine Distortion
#    8.   Non-harmonic Distortion            Non-harmonic Distortion

  1.040  RSLT         =
  1.041  RSLT         =SINE WAVE FREQUENCY ACCURACY
  1.042  RSLT         =
  1.043  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR

  1.044  RSLT         =
  1.045  RSLT         =SQUARE WAVE FREQUENCY ACCURACY
  1.046  RSLT         =
  1.047  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.048  JMPL         RISE/FALL_TIME

  1.049  LABEL        SYNTHESIS
  1.050  RSLT         =
  1.051  RSLT         =FREQUENCY SYNTHESIS
  1.052  RSLT         =
  1.053  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR
  1.054  JMPL         AMPL_ACCY

  1.055  LABEL        RISE/FALL_TIME
  1.056  RSLT         =
  1.057  RSLT         =SQUARE WAVE RISE/FALL
  1.058  RSLT         =
  1.059  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.060  JMPL         SYNTHESIS

  1.061  LABEL        AMPL_ACCY
  1.062  RSLT         =
  1.063  RSLT         =AMPLITUDE ACCURACY (1 kHz)
  1.064  RSLT         =
  1.065  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790

  1.066  RSLT         =
  1.067  RSLT         =AMPLITUDE FLATNESS (1 kHz Reference)
  1.068  RSLT         =
  1.069  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790

  1.070  RSLT         =
  1.071  RSLT         =SINE WAVE DISTORTION
  1.072  RSLT         =
  1.073  RSLT         =Total Harmonic Distortion
  1.074  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.075  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /ESA

  1.076  RSLT         =
  1.077  RSLT         =SINE WAVE NON-HARMONIC DISTORTION (6 MHz Fundamental)
  1.078  RSLT         =
  1.079  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /ESA

  1.080  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.081  END



